{{- if .Values.injectCertificates.create }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Values.injectCertificates.name }}
  {{- if .Values.namespace }}
  namespace: {{ toYaml .Values.namespace }}
  {{- end }}
  annotations:
    {{- include "custom.annotations" $ | indent 4 }}
  labels:
    {{- include "configseeder.labels" $ | indent 4 }}
    {{- include "custom.labels" $ | indent 4 }}
data:
  certificates.pem: {{ toYaml .Values.injectCertificates.pem | indent 2 }}
{{- end }}
